Loading...
Searching...
No Matches
sdbus::Flags Class Reference

## Public Types

enum | GeneralFlags : uint8_t { DEPRECATED = 0 , METHOD_NO_REPLY = 1 , PRIVILEGED = 2 }
enum | PropertyUpdateBehaviorFlags : uint8_t { EMITS_CHANGE_SIGNAL = 3 , EMITS_INVALIDATION_SIGNAL = 4 , EMITS_NO_SIGNAL = 5 , CONST_PROPERTY_VALUE = 6 }
enum | : uint8_t { FLAG_COUNT = 7 }

## Public Member Functions

void | set (GeneralFlags flag, bool value=true)
void | set (PropertyUpdateBehaviorFlags flag, bool value=true)
bool | test (GeneralFlags flag) const
bool | test (PropertyUpdateBehaviorFlags flag) const
uint64_t | toSdBusInterfaceFlags () const
uint64_t | toSdBusMethodFlags () const
uint64_t | toSdBusSignalFlags () const
uint64_t | toSdBusPropertyFlags () const
uint64_t | toSdBusWritablePropertyFlags () const

The documentation for this class was generated from the following file:

- include/sdbus-c++/Flags.h